Subject: Re: bug#21787: emacs on Mac errors

From: Glenn Morris <[email-masked]>
Date: Sun, 01 Nov 2015 20:54:34 -0500

Fred Stanke wrote:

> jka-compr-update: Recursive load:
> "/Users/fred/.emacs.d/lisp/jka-compr.elc",
> "/Users/fred/.emacs.d/lisp/jka-compr.elc",
> "/Users/fred/.emacs.d/lisp/jka-compr.elc",
> "/Users/fred/.emacs.d/lisp/jka-compr.elc",
> "/Users/fred/.emacs.d/lisp/jka-compr.elc"
>
> 2) I try to diff 2 files and get:
> diff: Symbol's function definition is void: compile-internal
>
> 3) When I type M-x grep the minibuffer reports:
> Symbol's function definition is void: shell-completion-vars

I think it highly likely that all your problems are due to your having
local copies of standard Emacs libraries in .emacs.d/lisp, which are
preventing the normal ones from being seen. You can use M-x
list-load-path-shadows to check. (Had you used the standard M-x
report-emacs-bug command in your initial report, that information would
have been included.) You should remove those local copies.

Accordingly I'm closing this report because I don't think there is an
Emacs bug here, but feel free to keep discussing it if you need to.